//加载分布式路由
export const getRoutes = (routerApp)=>{
  let routes = [];
  routerApp.keys().forEach((r)=>{
    const route = routerApp(r).default;
    if(route instanceof Array){
      routes.concat(route);
    }else {
      routes.push(route);
    }
  })

  return routes;
}

class Test {
  constructor(el){
    this.el = el;
  }

  get ele(){
    console.log('get ele')
    return this.el._ele;
  }
  set ele(val){
    if(val){
      console.log('set val');
      this.el._ele = val;
    }
  }

  getEle(){
    return this.ele
  }
}

export const test = Test
